SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Intrusion Detection)  >   IBM Security Network IPS Vendors:   IBM
(IBM Issues Fix for IBM Security Network IPS) Glibc Buffer Overflow in getanswer_r() Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1033864
SecurityTracker URL:  http://securitytracker.com/id/1033864
CVE Reference:   CVE-2015-1781   (Links to External Site)
Date:  Oct 19 2015
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.3, 4.4, 4.5, 4.6, 4.6.1, 4.6.2
Description:   A vulnerability was reported in Glibc. A remote user can execute arbitrary code on the target system. IBM Security Network IPS is affected.

A remote user can send a specially crafted DNS response to trigger a buffer overflow in getanswer_r() and potentially execute arbitrary code on the target system. The code will run with the privileges of the target application or service.

The vulnerability resides in '/resolv/nss_dns/dns-host.c'.

Arjun Shankar of Red Hat reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   IBM has issued a fix for IBM Security Network IPS.

The IBM advisory is available at:

https://www-304.ibm.com/support/docview.wss?uid=swg21966788

Vendor URL:  www-304.ibm.com/support/docview.wss?uid=swg21966788 (Links to External Site)
Cause:   Boundary error

Message History:   This archive entry is a follow-up to the message listed below.
Apr 21 2015 Glibc Buffer Overflow in getanswer_r() Lets Remote Users Execute Arbitrary Code



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC